Bug 40395 - umb-scheme wants to write into /usr/share/umb-scheme/slibcat
umb-scheme wants to write into /usr/share/umb-scheme/slibcat
Product: Red Hat Linux
Classification: Retired
Component: umb-scheme (Show other bugs)
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Phil Knirsch
Depends On:
  Show dependency treegraph
Reported: 2001-05-13 12:17 EDT by he
Modified: 2015-03-04 20:09 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2001-05-23 07:50:16 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description he 2001-05-13 12:17:37 EDT
Description of Problem:
First time a user (not root) runs umb-scheme and tries to load a module
from SLIB, umb-scheme wants to create a catalog and write into
Normal users cant write there.

How Reproducible:
Every time

Steps to Reproduce:
1. run umb-scheme 
2. issue: (require 'factor)

Actual Results:
==> (require 'factor)
Loading /usr/share/umb-scheme/slib/mklibcat.scm...
Error: I can't open the file `/usr/share/umb-scheme/slibcat' for writing.

Expected Results:
umb-scheme should load a few .scm files and return to the prompt

Additional Information:
Comment 1 Phil Knirsch 2001-05-23 07:50:12 EDT
I just checked this with the newest packages from Rawhide and can't reproduce
it... The file /usr/share/umb-scheme/slibcat already contains factor after
installation of the umb-scheme package so it doesn't need to write to it...

I'll double check on a freshly installed 7.1 during the next week.

Read ya, Phil
Comment 2 Phil Knirsch 2001-06-26 13:13:00 EDT
Sorry that it took a little longer.

After checking again the package seems to contain an outdated version of the
slibcat file. I upgraded this file now and included it in the newest package
which should be availiable via rawhide in the next couple of days.

The require works now, but if you install new scm files in the library you now
need to run umb-scheme with the require once as root to regenerate the slibcat file.

Thanks for the info,

Read ya, Phil

Note You need to log in before you can comment on or make changes to this bug.